# KDE4WorkspaceConfig.cmake is generated by CMake from kdebase/workspace/KDE4WorkspaceConfig.cmake.in

# Do we have a version number for kdebase/workspace ? Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 5)
set(KDE4WORKSPACE_VERSION_PATCH 5)
set(KDE4WORKSPACE_VERSION       "${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH}")

# set the directories
if(NOT KDE4WORKSPACE_INSTALL_DIR)
   set(KDE4WORKSPACE_INSTALL_DIR "/usr/local/kde4")
endif(NOT KDE4WORKSPACE_INSTALL_DIR)

set(KDE4WORKSPACE_LIB_DIR             "/usr/local/kde4/lib")
set(KDE4WORKSPACE_LIBEXEC_DIR         "/usr/local/kde4/lib/kde4/libexec")
set(KDE4WORKSPACE_INCLUDE_DIR         "/usr/local/kde4/include")
set(KDE4WORKSPACE_BIN_DIR             "/usr/local/kde4/bin") 
set(KDE4WORKSPACE_SBIN_DIR            "/usr/local/kde4/sbin")
set(KDE4WORKSPACE_DATA_DIR            "/usr/local/kde4/share/apps")
set(KDE4WORKSPACE_HTML_DIR            "/usr/local/kde4/share/doc/HTML")
set(KDE4WORKSPACE_CONFIG_DIR          "/usr/local/kde4/share/config")
set(KDE4WORKSPACE_ICON_DIR            "/usr/local/kde4/share/icons") 
set(KDE4WORKSPACE_KCFG_DIR            "/usr/local/kde4/share/config.kcfg")
set(KDE4WORKSPACE_LOCALE_DIR          "/usr/local/kde4/share/locale")
set(KDE4WORKSPACE_MIME_DIR            "/usr/local/kde4/share/mimelnk")
set(KDE4WORKSPACE_SOUND_DIR           "/usr/local/kde4/share/sounds")
set(KDE4WORKSPACE_TEMPLATES_DIR       "/usr/local/kde4/share/templates")
set(KDE4WORKSPACE_WALLPAPER_DIR       "/usr/local/kde4/share/wallpapers")
set(KDE4WORKSPACE_KCONF_UPDATE_DIR    "/usr/local/kde4/share/apps/kconf_update")
set(KDE4WORKSPACE_AUTOSTART_DIR       "/usr/local/kde4/share/autostart")
set(KDE4WORKSPACE_XDG_APPS_DIR        "/usr/local/kde4/share/applications/kde4")
set(KDE4WORKSPACE_XDG_DIRECTORY_DIR   "/usr/local/kde4/share/desktop-directories")
set(KDE4WORKSPACE_SYSCONF_DIR         "/usr/local/kde4/etc")
set(KDE4WORKSPACE_MAN_DIR             "/usr/local/kde4/man")
set(KDE4WORKSPACE_INFO_DIR            "/usr/local/kde4/info")
set(KDE4WORKSPACE_DBUS_INTERFACES_DIR "/usr/local/kde4/share/dbus-1/interfaces")
set(KDE4WORKSPACE_DBUS_SERVICES_DIR   "/usr/local/kde4/share/dbus-1/services")
set(KDE4WORKSPACE_SERVICES_DIR        "/usr/local/kde4/share/kde4/services")
set(KDE4WORKSPACE_SERVICETYPES_DIR    "/usr/local/kde4/share/kde4/servicetypes")

# the exports file exports 
set(KDE4WORKSPACE_TARGET_PREFIX KDE4Workspace__)

# Make sure to load the exported targets only once
# For the rest of this script it doesn't matter that much
if(NOT TARGET KDE4Workspace__plasmaclock)
   get_filename_component(_currentDir "${CMAKE_CURRENT_LIST_FILE}" PATH)
   include("${_currentDir}/KDE4WorkspaceLibraryTargets.cmake")
endif(NOT TARGET KDE4Workspace__plasmaclock)

macro(_KDE4WORKSPACE_Set_Lib_Vars _prefix _lib)
  set(KDE4WORKSPACE_${_prefix}_LIBRARY ${KDE4WORKSPACE_TARGET_PREFIX}${_lib})
  set(KDE4WORKSPACE_${_prefix}_LIBS    ${KDE4WORKSPACE_TARGET_PREFIX}${_lib})
endmacro(_KDE4WORKSPACE_Set_Lib_Vars)


_kde4workspace_set_lib_vars( TASKMANAGER        taskmanager)
_kde4workspace_set_lib_vars( KWORKSPACE         kworkspace)
_kde4workspace_set_lib_vars( SOLIDCONTROLIFACES solidcontrolifaces)
_kde4workspace_set_lib_vars( SOLIDCONTROL       solidcontrol)
_kde4workspace_set_lib_vars( PROCESSUI          processui)
_kde4workspace_set_lib_vars( LSOFUI             lsofui)
_kde4workspace_set_lib_vars( PLASMACLOCK        plasmaclock)
_kde4workspace_set_lib_vars( NEPOMUKQUERYCLIENT nepomukqueryclient)
_kde4workspace_set_lib_vars( NEPOMUKQUERY       nepomukquery)
_kde4workspace_set_lib_vars( KSCREENSAVER       kscreensaver)
_kde4workspace_set_lib_vars( WEATHERION         weather_ion)
_kde4workspace_set_lib_vars( KWINEFFECTS        kwineffects)
_kde4workspace_set_lib_vars( KDECORATIONS       kdecorations)
_kde4workspace_set_lib_vars( KSGRD              ksgrd)
_kde4workspace_set_lib_vars( KEPHAL             kephal)

